Copy a chart to a workspace
This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.
Use this call to copy a published chart version from its workspace to another workspace. Events and tags linked to the original chart are not copied.
The response contains the chartKey of the new chart. You can store this in your database, and use it to refer to the newly created chart in the future.
{fromWorkspaceKey} and {toWorkspaceKey} refer to the public workspace key (not the secret key). You can find the public workspace key on your workspace settings page.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
# if you want to pass in fromWorkspaceKey explicitly
POST https://api-{region}.seatsio.net/charts/{chartKey}/version/published/actions/copy/from/{fromWorkspaceKey}/to/{toWorkspaceKey}
# if you want to copy from the default workspace
POST https://api-{region}.seatsio.net/charts/{chartKey}/version/published/actions/copy-to-workspace/{toWorkspaceKey}
// passing in the from workspace explicitly
$seatsioClient->charts->copyFromWorkspaceTo("{chart key}", "{fromWorkspaceKey}", "{toWorkspaceKey}");
// using the default workspace of $seatsioClient as from workspace
$seatsioClient->charts->copyToWorkspace("{chart key}", "{toWorkspaceKey}");
// passing in the from workspace explicitly
await Client.Charts.CopyToWorkspaceAsync("{chart key}", "{fromWorkspaceKey}", "{toWorkspaceKey}");
// using the default workspace of Client as from workspace
await Client.Charts.CopyToWorkspaceAsync("{chart key}", "{toWorkspaceKey}");
// passing in the from workspace explicitly
client.charts.copyToWorkspace("{chart key}", "{fromWorkspaceKey}", "{toWorkspaceKey}");
// using the default workspace of the client as from workspace
client.charts.copyToWorkspace("{chart key}", "{toWorkspaceKey}");
# passing in the from workspace explicitly
client.charts.copy_from_workspace_to("{chart key}", "{fromWorkspaceKey}", "{toWorkspaceKey}")
# using the default workspace of the client as from workspace
client.charts.copy_to_workspace("{chart key}", "{toWorkspaceKey}")
# passing in the from workspace explicitly
client.charts.copy_from_workspace_to("{chart key}", "{fromWorkspaceKey}", "{toWorkspaceKey}")
# using the default workspace of the client as from workspace
client.charts.copy_to_workspace("{chart key}", "{toWorkspaceKey}")
// passing in the from workspace explicitly
await client.charts.copyFromWorkspaceTo('chartKey', '{fromWorkspaceKey}', '{toWorkspaceKey}');
// using the default workspace of the client as from workspace
await client.charts.copyToWorkspace('chartKey', '{toWorkspaceKey}');
// passing in the from workspace explicitly
copiedChart, err := client.Charts.CopyFromWorkspaceTo("chartKey", "{fromWorkspaceKey}", "{toWorkspaceKey}")
// using the default workspace of the client as from workspace
copiedChart, err := client.Charts.CopyToWorkspace("chartKey", "{toWorkspaceKey}")
curl -X POST https://api-{region}.seatsio.net/charts/{chart key}/version/published/actions/copy/from/{fromWorkspaceKey}/to/{toWorkspaceKey} \
-u {admin key}:
curl -X POST https://api-{region}.seatsio.net/charts/{chart key}/version/published/actions/copy-to-workspace/{toWorkspaceKey} \
-u {admin key}: \
-H X-Workspace-Key: {public key of from workspace}
{
"name":"chart2",
"id":"19",
"key":"749b9650-24fb-11e7-93ae-92361f002671",
"status":"NOT_USED",
"tags": [],
"archived": false,
"publishedVersionThumbnailUrl": "https://cdn.seats.io/system/public/.../published/.../thumbnail"
}
Because copying a chart between workspaces is an operation that requires privileges on both workspaces, you'll need to use your company admin key as a secret key. You can find the admin key at your company settings page.